Package org.apache.ignite.internal.management

## Class WarmUpStopCommand

- java.lang.Object
- - org.apache.ignite.internal.management.WarmUpStopCommand

All Implemented Interfaces:
  `BeforeNodeStartCommand<NoArg,​Boolean>`, `Command<NoArg,​Boolean>`

    public class WarmUpStopCommand
    extends Object
    implements BeforeNodeStartCommand<NoArg,​Boolean>

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
`WarmUpStopCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<NoArg>` `argClass()`
`String` `confirmationPrompt​(NoArg arg)`
`String` `description()` Command description.
`Boolean` `execute​(GridClientNodeStateBeforeStart beforeStart, NoArg arg, Consumer<String> printer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`deprecationMessage`

### Constructor Detail

#### WarmUpStopCommand

    public WarmUpStopCommand()

### Method Detail

#### description

    public String description()

Command description.

Specified by:
  `description` in interface `Command<NoArg,​Boolean>`

#### confirmationPrompt

    public String confirmationPrompt​(NoArg arg)

Specified by:
  `confirmationPrompt` in interface `Command<NoArg,​Boolean>`
Parameters:
  `arg` - Command argument.
Returns:
  Message text to show user for. If `null` it means that confirmation is not needed.

#### argClass

    public Class<NoArg> argClass()

Specified by:
  `argClass` in interface `Command<NoArg,​Boolean>`
Returns:
  Arguments class.

#### execute

    public Boolean execute​(GridClientNodeStateBeforeStart beforeStart,
                           NoArg arg,
                           Consumer<String> printer)
                    throws Exception

Specified by:
  `execute` in interface `BeforeNodeStartCommand<NoArg,​Boolean>`
Parameters:
  `beforeStart` - `GridClientBeforeNodeStart` client instance.
  `arg` - Command argument.
  `printer` - Results printer.
Returns:
  Command result.
Throws:
  `Exception`